# VzImagination (C) 2018-2019 Stephane Charette <stephanecharette@gmail.com>
# $Id: CM_version.cmake 2741 2019-04-09 17:04:20Z stephane $

EXECUTE_PROCESS (
	COMMAND svnversion
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	OUTPUT_VARIABLE VZI_VER_SVN
	OUTPUT_STRIP_TRAILING_WHITESPACE )
SET ( VZI_VER_MAJOR 1 )
SET ( VZI_VER_MINOR 0 )
SET ( VZI_VER_PATCH 0-${VZI_VER_SVN} )
SET ( VZI_VERSION ${VZI_VER_MAJOR}.${VZI_VER_MINOR}.${VZI_VER_PATCH} )
MESSAGE ( "Building ver: ${VZI_VERSION}" )
